services:
  _defaults:
    autowire: true
    autoconfigure: true

  WindBridges\MessengerEmergencyMode\Middleware\EmergencyModeMiddleware: ~
  WindBridges\MessengerEmergencyMode\EventListener\WorkerEventListener: ~
  WindBridges\MessengerEmergencyMode\Service\EmergencyModeCache: ~
  WindBridges\MessengerEmergencyMode\Service\EmergencyModeLock: ~
  WindBridges\MessengerEmergencyMode\Command\NotifyTestCommand: ~
  WindBridges\MessengerEmergencyMode\Service\EmergencyModeNotifier:
    arguments:
      $appName: "%messenger_emergency_mode.notification.app_name%"
      $errorCount: "%messenger_emergency_mode.error_count%"

  WindBridges\MessengerEmergencyMode\Service\EmergencyModeService:
    arguments:
      $errorCount: "%messenger_emergency_mode.error_count%"
      $delayMin: "%messenger_emergency_mode.delay.min%"
      $delayMax: "%messenger_emergency_mode.delay.max%"
      $delayStep: "%messenger_emergency_mode.delay.step%"
      $enabled: '%messenger_emergency_mode.enabled%'
